<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\FileManager;
use App\Models\InstantMessage;
use App\Models\Setting;
use App\Models\User;
use App\Models\Ticket;
use App\Traits\ResponseTrait;
use Illuminate\Support\Arr;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Mail;
use App\Http\Requests\Admin\InstantMessageRequest;
use App\Http\Services\ConversationService;

class InstantMessageController extends Controller
{
    use ResponseTrait;
    public $conversationService;
    public function __construct()
    {
        $this->conversationService  = new ConversationService;
    }
    public function instantMessage(InstantMessageRequest $request)
    {
       try {
            DB::beginTransaction();
            $obj = new InstantMessage();
            $obj->title = $request->title;
            $obj->message = $request->message;
            $obj->status =  STATUS_ACTIVE;
            $obj->tenant_id =  auth()->user()->tenant_id;
            $obj->save();
           DB::commit();
           return redirect()->back()->with('success', __("Instant Message Created successfully!"));
       }catch (\Exception $exception){
           DB::rollBack();
           return redirect()->back()->with('error', SOMETHING_WENT_WRONG);
       }
    }
}

