<?php

namespace App\Http\Controllers;

use App\Http\Services\UserEmailVerifyService;
use App\Mail\UserEmailVerification;
use Illuminate\Support\Facades\Mail;

class UserEmailVerifyController extends Controller
{
    public $userEmailVerifyService;

    public function __construct()
    {
        $this->userEmailVerifyService = new UserEmailVerifyService;
    }

    public function emailVerified($token)
    {
        $verified =  $this->userEmailVerifyService->emailVerified($token);
        if ($verified == true) {
            return redirect()->route('login')->with('success', __('Congratulations! Successfully verified your email.'));
        } else {
            return redirect(route('login'));
        }
    }

    public function emailVerify($token)
    {
        $user = $this->userEmailVerifyService->getUserByToken($token);

        if (!is_null($user)) {
            if ($user->status == USER_STATUS_ACTIVE) {
                return redirect()->route('login');
            }
        } else {
            return redirect()->route('login')->with('error', __(SOMETHING_WENT_WRONG));
        }
        return view('auth.verify', compact('token'));
    }

    public function emailVerifyResend($token)
    {
        $user = $this->userEmailVerifyService->getUserByToken($token);

        if (getOption('email_verification_status', 0) == 1) {
            if ($user) {
                emailVerifyEmailNotify($user);
                return redirect()->route('login')->with('success', __(SENT_SUCCESSFULLY));
            }
        } else {
            return redirect()->route('login')->with('error', __(SOMETHING_WENT_WRONG));
        }
    }
}
