<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;


class ReplyEmailTicket extends Mailable
{
    use Queueable, SerializesModels;

    protected $ticketData;
    protected $userData;
    protected $templeate;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($subject, $replyData,$messageId)
    {
        $this->subject = $subject;
        $this->replyData = $replyData;
        $this->messageId = $messageId;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        $messageId = '<'.$this->messageId.'>';
        return $this->from(getOption('MAIL_FROM_ADDRESS'), getOption('app_name'))
            ->subject($this->subject)
            ->markdown('mail.reply-email-ticket')
            ->withSwiftMessage(function ($message) use ($messageId) {
                    $message->getHeaders()->addTextHeader('In-Reply-To', $messageId);
                })
            ->with([
                'replyData' => $this->replyData,
            ]);
    }
}
