@extends('auth.layouts.app')
@push('title')
    {{ __('Verify') }}
@endpush
@push('style')
@endpush
@section('content')
    <div class="register-area">
        <div class="container-fluid p-0">
            <div class="row g-0">
                <div class="col-lg-6 order-last order-lg-first">
                    <div class="register-left-area">
                        <div class="register-left-wrap">
                            <div class="register-left-top">
                                <a class="brand-logo" href="{{route('frontend')}}"> <img
                                        src="{{ getSettingImage('app_logo') }}" alt="{{ getOption('app_name') }}"></a>
                                <h2>{{ getOption('sign_up_left_text_title') }}</h2>
                                <p>{{ getOption('sign_up_left_text_subtitle') }}</p>
                            </div>
                            <img src="{{ getSettingImage('login_left_image') }}" alt="register">
                        </div>
                    </div>
                </div>
                <div class="col-lg-6 align-self-center order-first order-lg-last">
                    <div class="register-right-area">
                        <div class="register-wrap">
                            <div class="register-right-top">
                                <h2>{{ __("Verify Your Account") }}</h2>
                                @if (session('resent'))
                                    <div class="alert alert-success" role="alert">
                                        {{ __('A fresh verification link has been sent to your email address.') }}
                                    </div>
                                @endif
                            </div>
                            <div class="register-form">
                                <form method="POST" action="{{ route('user.email.verify.resend', $token) }}">
                                    @csrf
                                    <div class="row mb-25">
                                        <div class="row">
                                            <div class="col-md-12">
                                                <button type="submit"
                                                    class="btn-success font-15 fw-bold secondary-btn w-100"
                                                    title="{{ __('Click here to request another') }}">{{ __('Click here to request another') }}</button>
                                            </div>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
